package com.brilliance.isc.common.docimm.service;


import com.brilliance.isc.bo.Smh;
import com.brilliance.isc.common.docimm.vo.DocimmVo;
import com.brilliance.mda.runtime.mda.IStream;
import com.brilliance.mda.runtime.mda.impl.Argument;

public interface DocimmService {

    /**
     *  获取文件存放路径
     */
    String getDocumentFdr(Smh argSMH);

    void splitFileName(String docfdr, Argument<String> docpthBox, Argument<String> docfilBox, Argument<String> docfxtBox);

    boolean isCORTYPTechnical(String argCORTYP, DocimmVo docimmVo);

    int checkMsgLength(String argMt, String argCorTyp, IStream argMsgTxt);

    void make999fromSwt(IStream doctxt, String mt, String cortyp);


    void makeStreamFromSwt(IStream doctxt);

    String sWTGetFIOTag(String tag);

    String swtGetAdrFromBIC(String iobic);

    String swtReadAdrByBICinternal(String biccod);
}
